## ros-one-stage-ros 1.8.0-1jammy.20251023.0942

=== debian/changelog ===
ros-one-stage-ros (1.8.0-1jammy.20251023.0942) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Thu, 23 Oct 2025 09:42:34 +0000

ros-one-stage-ros (1.8.0-0jammy) jammy; urgency=high

  * Now uses Stage's native event loop properly and added reassuring startup output.
  * Added a GUI section so that the world starts in a good place.
  * Fixed issue such that ranger intensity values are no longer clipped to 256
    See: #31 <https://github.com/ros-simulation/stage_ros/issues/31>
  * Contributors: Richard Vaughan, Shane Loretz, William Woodall, gerkey

 -- William Woodall <william@osrfoundation.org>  Sun, 30 Apr 2017 00:00:00 -0000

ros-one-stage-ros (1.7.5-0jammy) jammy; urgency=high

  * Removed all references to FLTK/Fluid and use the upstream CMake config file instead.
  * Added ``reset_positions`` service to stage (adds dependency on ``std_srvs``).
  * Contributors: Aurélien Ballier, Daniel Claes, Scott K Logan, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 16 Sep 2015 00:00:00 -0000

ros-one-stage-ros (1.7.4-0jammy) jammy; urgency=high

  * Added missing -ldl flag on newer versions of Ubuntu
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 04 Mar 2015 00:00:00 -0000

ros-one-stage-ros (1.7.3-0jammy) jammy; urgency=high

  * Split up ``fltk`` dep into ``libfltk-dev`` and ``fluid``, only ``run_depend``'ing on fluid.
  * Now supports multiple robots with multiple sensors.
  * Fixed a bug on systems that cannot populate FLTK_INCLUDE_DIRS.
  * Updated topurg model from "laser" to "ranger".
  * Added -u option to use name property of position models as its namespace instead of "robot_0", "robot_1", etc.
  * Contributors: Gustavo Velasco Hernández, Gustavo Velasco-Hernández, Pablo Urcola, Wayne Chang, William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-stage-ros (1.7.2-0jammy) jammy; urgency=high

  * Changed default GUI window size to 600x400
  * Added velocity to ground truth odometry
  * Fixed tf (yaw component) for the base_link->camera transform.
  * Fixed ground truth pose coordinate system

 -- William Woodall <william@osrfoundation.org>  Thu, 19 Sep 2013 00:00:00 -0000

ros-one-stage-ros (1.7.1-0jammy) jammy; urgency=high

  * Fixing warnings
  * Small fixes
  * Added RGB+3D-sensor interface (Primesense/Kinect/Xtion).
    * Publishes CameraInfo, depth image, RGBA image, tf (takes world-file pantilt paremeter into account)
    * Supports the "old" configuration (laser+odom) as well as camera+odom, laser+camera+odom and odom-only.
    Fixed laser transform height (previously was hardcoded at 0.15, now it takes robot height into account).
  * Introduced changes from https://github.com/rtv/Stage/issues/34 with some changes (does not require lasers to be present and works without cameras).

 -- William Woodall <william@osrfoundation.org>  Fri, 30 Aug 2013 00:00:00 -0000

ros-one-stage-ros (1.7.0-0jammy) jammy; urgency=high

  * Initial move over from old repository: https://code.ros.org/svn/ros-pkg/stacks/stage
  * Catkinized
  * Stage itself is released as a third party package now
  * Had to disable velocities in the output odometry as Stage no longer implements it internally.
  * Updated rostest
  * Updated rviz configurations

 -- William Woodall <william@osrfoundation.org>  Thu, 27 Jun 2013 18:15:07 +0000

## ros-one-stage-ros 1.8.0-1jammy.20251207.2224

=== debian/changelog ===
ros-one-stage-ros (1.8.0-1jammy.20251207.2224) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Sun, 07 Dec 2025 22:24:56 +0000

## ros-one-stage-ros 1.8.0-1jammy.20260221.2118

=== debian/changelog ===
ros-one-stage-ros (1.8.0-1jammy.20260221.2118) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Sat, 21 Feb 2026 21:18:11 +0000

## ros-one-stage-ros 1.8.0-1noble.20251023.0955

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(stage_ros)

find_package(catkin REQUIRED
  COMPONENTS
    geometry_msgs
    nav_msgs
    roscpp
    sensor_msgs
    std_msgs
    std_srvs
    tf
)

find_package(Boost REQUIRED COMPONENTS system thread)

find_package(stage REQUIRED)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${STAGE_INCLUDE_DIRS}
)

catkin_package()

# Declare a cpp executable
add_executable(stageros src/stageros.cpp)
set(${PROJECT_NAME}_extra_libs "")
if(UNIX AND NOT APPLE)
  set(${PROJECT_NAME}_extra_libs dl)
endif()
target_link_libraries(stageros
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${STAGE_LIBRARIES}
  ${${PROJECT_NAME}_extra_libs}
)
if(catkin_EXPORTED_TARGETS)
  add_dependencies(stageros ${catkin_EXPORTED_TARGETS})
endif()

## Install

install(PROGRAMS scripts/upgrade-world.sh
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(TARGETS stageros
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY rviz
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY world
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

## Tests

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest(test/hztest.xml)
  add_rostest(test/intensity_test.xml)
endif()

=== debian/changelog ===
ros-one-stage-ros (1.8.0-1noble.20251023.0955) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Thu, 23 Oct 2025 09:55:59 +0000

ros-one-stage-ros (1.8.0-0noble) noble; urgency=high

  * Now uses Stage's native event loop properly and added reassuring startup output.
  * Added a GUI section so that the world starts in a good place.
  * Fixed issue such that ranger intensity values are no longer clipped to 256
    See: #31 <https://github.com/ros-simulation/stage_ros/issues/31>
  * Contributors: Richard Vaughan, Shane Loretz, William Woodall, gerkey

 -- William Woodall <william@osrfoundation.org>  Sun, 30 Apr 2017 00:00:00 -0000

ros-one-stage-ros (1.7.5-0noble) noble; urgency=high

  * Removed all references to FLTK/Fluid and use the upstream CMake config file instead.
  * Added ``reset_positions`` service to stage (adds dependency on ``std_srvs``).
  * Contributors: Aurélien Ballier, Daniel Claes, Scott K Logan, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 16 Sep 2015 00:00:00 -0000

ros-one-stage-ros (1.7.4-0noble) noble; urgency=high

  * Added missing -ldl flag on newer versions of Ubuntu
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 04 Mar 2015 00:00:00 -0000

ros-one-stage-ros (1.7.3-0noble) noble; urgency=high

  * Split up ``fltk`` dep into ``libfltk-dev`` and ``fluid``, only ``run_depend``'ing on fluid.
  * Now supports multiple robots with multiple sensors.
  * Fixed a bug on systems that cannot populate FLTK_INCLUDE_DIRS.
  * Updated topurg model from "laser" to "ranger".
  * Added -u option to use name property of position models as its namespace instead of "robot_0", "robot_1", etc.
  * Contributors: Gustavo Velasco Hernández, Gustavo Velasco-Hernández, Pablo Urcola, Wayne Chang, William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-stage-ros (1.7.2-0noble) noble; urgency=high

  * Changed default GUI window size to 600x400
  * Added velocity to ground truth odometry
  * Fixed tf (yaw component) for the base_link->camera transform.
  * Fixed ground truth pose coordinate system

 -- William Woodall <william@osrfoundation.org>  Thu, 19 Sep 2013 00:00:00 -0000

ros-one-stage-ros (1.7.1-0noble) noble; urgency=high

  * Fixing warnings
  * Small fixes
  * Added RGB+3D-sensor interface (Primesense/Kinect/Xtion).
    * Publishes CameraInfo, depth image, RGBA image, tf (takes world-file pantilt paremeter into account)
    * Supports the "old" configuration (laser+odom) as well as camera+odom, laser+camera+odom and odom-only.
    Fixed laser transform height (previously was hardcoded at 0.15, now it takes robot height into account).
  * Introduced changes from https://github.com/rtv/Stage/issues/34 with some changes (does not require lasers to be present and works without cameras).

 -- William Woodall <william@osrfoundation.org>  Fri, 30 Aug 2013 00:00:00 -0000

ros-one-stage-ros (1.7.0-0noble) noble; urgency=high

  * Initial move over from old repository: https://code.ros.org/svn/ros-pkg/stacks/stage
  * Catkinized
  * Stage itself is released as a third party package now
  * Had to disable velocities in the output odometry as Stage no longer implements it internally.
  * Updated rostest
  * Updated rviz configurations

 -- William Woodall <william@osrfoundation.org>  Thu, 27 Jun 2013 18:15:07 +0000

=== debian/control ===
Source: ros-one-stage-ros
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-catkin, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-rostest, ros-one-sensor-msgs, ros-one-stage, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Homepage: http://ros.org/wiki/stage_ros
Standards-Version: 3.9.2

Package: ros-one-stage-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-stage, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Description: This package provides ROS specific hooks for stage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-stage-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-stage-ros 1.8.0-1noble.20251208.0920

=== debian/changelog ===
ros-one-stage-ros (1.8.0-1noble.20251208.0920) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Mon, 08 Dec 2025 09:20:35 +0000

## ros-one-stage-ros 1.8.0-1noble.20260221.2203

=== debian/changelog ===
ros-one-stage-ros (1.8.0-1noble.20260221.2203) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Sat, 21 Feb 2026 22:03:28 +0000
